/**
 * サブミットを行う（保存）
 */
$(function() {
	$('#btnSave').click(function() {
		$('#type').val('save');
		submitForm();
	});

	$('#btnInput').click(function() {
		$('#type').val('input');
		submitForm();
	});

	$('#btnConfirm').click(function() {
		$('#type').val('confirm');
		submitForm();
	});

	$('#btnBack').click(function() {
		$('#type').val('back');
		submitForm();
	});

	$('#btnPwBack').click(function() {
		$('#action').val('settting_change_passwrord');
		submitForm();
	});

	$('#btn2faSubmit').click(function() {
		$("#btn2faSubmit").attr("disabled", "disabled");
	});

	$('#btnComplete').click(function() {
		$("#btnComplete").attr("disabled", "disabled");
		if($('#action').val() == 'settting_kyc') {	// 法人のKYCアップロードの場合
			if(checkUploadFileSize()) {
				$('#type').val('complete');
				submitForm();
			}
		} else {									// その他の場合
			$('#type').val('complete');
			submitForm();
		}
	});

	$('#btnKyc').click(function() {
		if(checkUploadFileSize()) {
			$("#btnKyc").attr("disabled", "disabled");
			$('#type').val('save');
			submitForm();
		}
	});

	$('#btnDetail').click(function() {
		$('#type').val('detail');
		submitForm();
	});

	$('#btnSave').click(function() {
		$('#type').val('save');
		submitForm();
	});

	$('#btnProfile').click(function() {
		$('#action').val('settting_profile');
		submitForm();
	});

	$('#btnProfileImg').click(function() {
		$('#action').val('settting_profile_img');
		submitForm();
	});


	$('#btnChangePassword').click(function() {
		$('#action').val('settting_change_passwrord');
		submitForm();
	});

	$('#btnDisable').click(function() {
		$("#btnDisable").attr("disabled", "disabled");
		$('#type').val('transferFlgSave');
		submitForm();
	});
});

function download(kId) {
	$('#type').val('export');
	$('#k_id').val(kId);
	submitForm();
}

function getChangeEmail(){
	$('#type').val('confirm');
	submitForm();
}

function getChangePassword(){
	if($('#action').val() == 'settting_kyc') {	// 法人のKYCアップロードの場合
			if(checkUploadFileSize()) {
				$('#type').val('complete');
				submitForm();
			}
		} else {									// その他の場合
			$('#type').val('complete');
			submitForm();
		}
}

function checkUploadFileSize() {

	// 変数宣言部
	var rtn			= true;
	var file		= null;
	var msg			= '';
	var maxSize 	= 5242880;
	var maxSizeStr	= '5MB';
	// URLの取得
	var url = location.href;

	if($('#img1').prop('files') != undefined) {
		if($('#img1').prop('files')[0]	!= undefined) {
			file = $('#img1').prop('files')[0];

			if(file.size > maxSize) {
				if(url.indexOf('/en/') > 0) {
					msg += file.name + ' please reduce the size to ' + maxSizeStr + ' or less. \n';
				} else if(url.indexOf('/ja/') > 0) {
					msg += file.name + 'は、サイズを' + maxSizeStr + '以下にして下さい。\n';
				} else if(url.indexOf('/sc/') > 0) {
					msg += file.name + '请将大小减小到' + maxSizeStr + '或更少。\n';
				} else if(url.indexOf('/tc/') > 0) {
					msg += file.name + '請將大小減小到' + maxSizeStr + '或更少。\n';
				} else if(url.indexOf('/id/') > 0) {
					msg += file.name + ' harap kurangi ukuran menjadi ' + maxSizeStr + ' atau lebih kecil. \n';
				}

				rtn = false;
			}
		}
	}

	if($('#img2').prop('files') != undefined) {
		if($('#img2').prop('files')[0]	!= undefined) {
			file = $('#img2').prop('files')[0];

			if(file.size > maxSize) {
				if(url.indexOf('/en/') > 0) {
					msg += file.name + ' please reduce the size to ' + maxSizeStr + ' or less. \n';
				} else if(url.indexOf('/ja/') > 0) {
					msg += file.name + 'は、サイズを' + maxSizeStr + '以下にして下さい。\n';
				} else if(url.indexOf('/sc/') > 0) {
					msg += file.name + '请将大小减小到' + maxSizeStr + '或更少。 \n';
				} else if(url.indexOf('/tc/') > 0) {
					msg += file.name + '請將大小減小到' + maxSizeStr + '或更少。 \n';
				} else if(url.indexOf('/id/') > 0) {
					msg += file.name + ' harap kurangi ukuran menjadi ' + maxSizeStr + ' atau lebih kecil. \n';
				}
				rtn = false;
			}
		}
	}

	if($('#img3').prop('files') != undefined) {
		if($('#img3').prop('files')[0]	!= undefined) {
			file = $('#img3').prop('files')[0];

			if(file.size > maxSize) {
				if(url.indexOf('/en/') > 0) {
					msg += file.name + ' please reduce the size to ' + maxSizeStr + ' or less. \n';
				} else if(url.indexOf('/ja/') > 0) {
					msg += file.name + 'は、サイズを' + maxSizeStr + '以下にして下さい。\n';
				} else if(url.indexOf('/sc/') > 0) {
					msg += file.name + '请将大小减小到' + maxSizeStr + '或更少。 \n';
				} else if(url.indexOf('/tc/') > 0) {
					msg += file.name + '請將大小減小到' + maxSizeStr + '或更少。 \n';
				} else if(url.indexOf('/id/') > 0) {
					msg += file.name + ' harap kurangi ukuran menjadi ' + maxSizeStr + ' atau lebih kecil. \n';
				}
				rtn = false;
			}
		}
	}

	if($('#img4').prop('files') != undefined) {
		if($('#img4').prop('files')[0]	!= undefined) {
			file = $('#img4').prop('files')[0];

			if(file.size > maxSize) {
				if(url.indexOf('/en/') > 0) {
					msg += file.name + ' please reduce the size to ' + maxSizeStr + ' or less. \n';
				} else if(url.indexOf('/ja/') > 0) {
					msg += file.name + 'は、サイズを' + maxSizeStr + '以下にして下さい。 \n';
				} else if(url.indexOf('/sc/') > 0) {
					msg += file.name + '请将大小减小到' + maxSizeStr + '或更少。 \n';
				} else if(url.indexOf('/tc/') > 0) {
					msg += file.name + '請將大小減小到' + maxSizeStr + '或更少。 \n';
				} else if(url.indexOf('/id/') > 0) {
					msg += file.name + ' harap kurangi ukuran menjadi ' + maxSizeStr + ' atau lebih kecil. \n';
				}
				rtn = false;
			}
		}
	}

	if($('#img5').prop('files') != undefined) {
		if($('#img5').prop('files')[0]	!= undefined) {
			file = $('#img5').prop('files')[0];

			if(file.size > maxSize) {
				if(url.indexOf('/en/') > 0) {
					msg += file.name + ' please reduce the size to ' + maxSizeStr + ' or less. \n';
				} else if(url.indexOf('/ja/') > 0) {
					msg += file.name + 'は、サイズを' + maxSizeStr + '以下にして下さい。 \n';
				} else if(url.indexOf('/sc/') > 0) {
					msg += file.name + '请将大小减小到' + maxSizeStr + '或更少。 \n';
				} else if(url.indexOf('/tc/') > 0) {
					msg += file.name + '請將大小減小到' + maxSizeStr + '或更少。 \n';
				} else if(url.indexOf('/id/') > 0) {
					msg += file.name + ' harap kurangi ukuran menjadi ' + maxSizeStr + ' atau lebih kecil. \n';
				}
				rtn = false;
			}
		}
	}

	if($('#img6').prop('files') != undefined) {
		if($('#img6').prop('files')[0]	!= undefined) {
			file = $('#img6').prop('files')[0];

			if(file.size > maxSize) {
				if(url.indexOf('/en/') > 0) {
					msg += file.name + ' please reduce the size to ' + maxSizeStr + ' or less. \n';
				} else if(url.indexOf('/ja/') > 0) {
					msg += file.name + 'は、サイズを' + maxSizeStr + '以下にして下さい。 \n';
				} else if(url.indexOf('/sc/') > 0) {
					msg += file.name + '请将大小减小到' + maxSizeStr + '或更少。 \n';
				} else if(url.indexOf('/tc/') > 0) {
					msg += file.name + '請將大小減小到' + maxSizeStr + '或更少。 \n';
				} else if(url.indexOf('/id/') > 0) {
					msg += file.name + ' harap kurangi ukuran menjadi ' + maxSizeStr + ' atau lebih kecil. \n \n';
				}
				rtn = false;
			}
		}
	}

	if($('#img7').prop('files') != undefined) {
		if($('#img7').prop('files')[0]	!= undefined) {

			file = $('#img7').prop('files')[0];

			if(file.size > maxSize) {
				if(url.indexOf('/en/') > 0) {
					msg += file.name + ' please reduce the size to ' + maxSizeStr + ' or less. \n';
				} else if(url.indexOf('/ja/') > 0) {
					msg += file.name + 'は、サイズを' + maxSizeStr + '以下にして下さい。 \n';
				} else if(url.indexOf('/sc/') > 0) {
					msg += file.name + '请将大小减小到' + maxSizeStr + '或更少。 \n';
				} else if(url.indexOf('/tc/') > 0) {
					msg += file.name + '請將大小減小到' + maxSizeStr + '或更少。 \n';
				} else if(url.indexOf('/id/') > 0) {
					msg += file.name + ' harap kurangi ukuran menjadi ' + maxSizeStr + ' atau lebih kecil. \n';
				}
				rtn = false;
			}
		}
	}

	if($('#img8').prop('files') != undefined) {
		if($('#img8').prop('files')[0]	!= undefined) {

			file = $('#img8').prop('files')[0];

			if(file.size > maxSize) {
				if(url.indexOf('/en/') > 0) {
					msg += file.name + ' please reduce the size to ' + maxSizeStr + ' or less. \n';
				} else if(url.indexOf('/ja/') > 0) {
					msg += file.name + 'は、サイズを' + maxSizeStr + '以下にして下さい。 \n';
				} else if(url.indexOf('/sc/') > 0) {
					msg += file.name + '请将大小减小到' + maxSizeStr + '或更少。 \n';
				} else if(url.indexOf('/tc/') > 0) {
					msg += file.name + '請將大小減小到' + maxSizeStr + '或更少。 \n';
				} else if(url.indexOf('/id/') > 0) {
					msg += file.name + ' harap kurangi ukuran menjadi ' + maxSizeStr + ' atau lebih kecil. \n';
				}
				rtn = false;
			}
		}
	}

	if($('#img9').prop('files') != undefined) {
		if($('#img9').prop('files')[0]	!= undefined) {

			file = $('#img9').prop('files')[0];

			if(file.size > maxSize) {
				if(url.indexOf('/en/') > 0) {
					msg += file.name + ' please reduce the size to ' + maxSizeStr + ' or less. \n';
				} else if(url.indexOf('/ja/') > 0) {
					msg += file.name + 'は、サイズを' + maxSizeStr + '以下にして下さい。 \n';
				} else if(url.indexOf('/sc/') > 0) {
					msg += file.name + '请将大小减小到' + maxSizeStr + '或更少。 \n';
				} else if(url.indexOf('/tc/') > 0) {
					msg += file.name + '請將大小減小到' + maxSizeStr + '或更少。 \n';
				} else if(url.indexOf('/id/') > 0) {
					msg += file.name + ' harap kurangi ukuran menjadi ' + maxSizeStr + ' atau lebih kecil. \n';
				}
				rtn = false;
			}
		}
	}

	if($('#img10').prop('files') != undefined) {
		if($('#img10').prop('files')[0]	!= undefined) {

			file = $('#img10').prop('files')[0];

			if(file.size > maxSize) {
				if(url.indexOf('/en/') > 0) {
					msg += file.name + ' please reduce the size to ' + maxSizeStr + ' or less. \n';
				} else if(url.indexOf('/ja/') > 0) {
					msg += file.name + 'は、サイズを' + maxSizeStr + '以下にして下さい。 \n';
				} else if(url.indexOf('/sc/') > 0) {
					msg += file.name + '请将大小减小到' + maxSizeStr + '或更少。 \n';
				} else if(url.indexOf('/tc/') > 0) {
					msg += file.name + '請將大小減小到' + maxSizeStr + '或更少。 \n';
				} else if(url.indexOf('/id/') > 0) {
					msg += file.name + ' harap kurangi ukuran menjadi ' + maxSizeStr + ' atau lebih kecil. \n';
				}
				rtn = false;
			}
		}
	}

	if($('#img11').prop('files') != undefined) {
		if($('#img11').prop('files')[0]	!= undefined) {

			file = $('#img11').prop('files')[0];

			if(file.size > maxSize) {
				if(url.indexOf('/en/') > 0) {
					msg += file.name + ' please reduce the size to ' + maxSizeStr + ' or less. \n';
				} else if(url.indexOf('/ja/') > 0) {
					msg += file.name + 'は、サイズを' + maxSizeStr + '以下にして下さい。 \n';
				} else if(url.indexOf('/sc/') > 0) {
					msg += file.name + '请将大小减小到' + maxSizeStr + '或更少。 \n';
				} else if(url.indexOf('/tc/') > 0) {
					msg += file.name + '請將大小減小到' + maxSizeStr + '或更少。 \n';
				} else if(url.indexOf('/id/') > 0) {
					msg += file.name + ' harap kurangi ukuran menjadi ' + maxSizeStr + ' atau lebih kecil. \n';
				}
				rtn = false;
			}
		}
	}

	if(!rtn) {
		alert(msg);
	}

	return rtn;
}
